Skip to main content

Update Customer by ID

PUT /customers/{id}

Description

Update an existing customer's details by their unique identifier.

Authentication

Bearer Token (JWT)

Request

Headers

HeaderValueRequired
AuthorizationBearer {token}Yes

Path Parameters

ParameterTypeDescription
idstring (UUID)The unique identifier of the customer to update

Request Body

{
"name": "James Twumanje",
"phone": "263773591219",
"email": "vusumuzi@qantra.co.zw",
"notes": "Auto generated customer",
"associatedUser": "263773591219",
"billingCurrencyString": "USD",
"companyIdString": "734a7dd8-b8ba-43df-9210-8bf0f367bca5"
}

Request Body Fields

FieldTypeRequiredDescription
namestringYesUpdated full name of the customer
phonestringYesUpdated phone number
emailstringYesUpdated email address
notesstringNoAdditional notes about the customer
associatedUserstringNoAssociated user identifier (e.g., phone number)
billingCurrencyStringstringYesBilling currency code (e.g., USD)
companyIdStringstringYesUUID of the company this customer belongs to